# ListCrossBorderCodes

Lists the next level of HS Codes given a destination country and HS Code prefix.

`GET /api/v2/definitions/crossborder/{country}/{hsCode}`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Definitions/ListCrossBorderCodes/

## Description

Retrieves a list of HS Codes that are the children of the prefix for the given destination country, if
additional children are available.
            
HS Code is interchangeable with "tariff code" and definitions are generally unique to a destination country.
An HS Code describes an item and its eligibility/rate for tariffs. HS Codes are organized by
Section/Chapter/Heading/Subheading/Classification.
            
This API is intended to be useful to identify the correct HS Code to use for your item.

### Security Policies

* This API depends on the following active services:*Required* (all):  AvaTaxGlobal.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `country` | string | path | Yes | The name or code of the destination country. |
| `hsCode` | string | path | Yes | The Section or partial HS Code for which you would like to view the next level of HS Code detail, if more detail is available. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* hsCodeSource, system, destinationCountry, isDecisionNode, zeroPaddingCount, isSystemDefined, isTaxable, effDate, endDate, hsCodeSourceLength |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `HsCodeModelFetchResult` |

### 200 Response: `HsCodeModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | HsCodeModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/crossborder/{country}/{hsCode}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```